HP Views Designer Assistant: InformationScreen Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
InformationScreen Class Reference

The InformationScreen class. More...

`#include <informationscreen.h>`

Inheritance diagram for InformationScreen:

## Public Member Functions

| InformationScreen (QWidget *parent=0)
| InformationScreen constructor. More...
| InformationScreen (Controller *controller, QWidget *parent=0)
| InformationScreen constructor. More...
int | getNumberOfRows ()
| getNumberOfRows Returns the number of rows. More...
bool | getHasIcons ()
| getHasIcons Returns if the screen has icons. More...
int | getNumberOfCols ()
| getNumberOfCols Returns the number of columns. More...
int | getNumberOfIcons ()
| getNumberOfIcons Return the number of icons. More...
int | getWidthView ()
| getWidthView Return the screen width. More...
int | getHeightView ()
| getHeightView Returns the screen height. More...
QColor | getBackgroundColor ()
| getBackgroundColor Returns screen background color. More...
QString | getBackgroundImage ()
| getBackgroundImage Returns screen background image. More...
void | showError (QString error)
| showError Shows error message. More...
void | showInfo (QString info)
| showInfo Shows information message. More...
void | showSuccess (QString success)
| showSuccess Shows success message. More...
void | setEditModel (Interfaz *interfaz)
| setEditModel Specifies the values of the information screen properties. More...
void | changePositionCombo (int pos, int row, int col)
| changePositionCombo Changes the index of the position combo. More...
int | getCardRows ()
| getCardRows Returns the number of card rows. More...
int | getCardCols ()
| getCardCols Returns the number of card columns. More...
Public Member Functions inherited from View
| View (QWidget *parent)
| View constructor. More...
void | show (QPoint position, QSize size)
| show Shows the view. More...

## Private Slots

void | on_helpBtn_clicked ()
| on_helpBtn_clicked This slot is executed when the help button is clicked.
void | on_homeBtn_clicked ()
| on_homeBtn_clicked This slot is executed when the home button is clicked.
void | on_settingsBtn_clicked ()
| on_settingsBtn_clicked This slot is executed when the settings button is clicked.
void | on_continueBtn_clicked ()
| on_continueBtn_clicked This slot is executed when the continue button is clicked.
void | on_imageBackgroundBtn_clicked (bool checked)
| on_imageBackgroundBtn_clicked This slot is executed when the image button is clicked. More...
void | on_colorBackgroundBtn_clicked (bool checked)
| on_colorBackgroundBtn_clicked This slot is executed when the color button is clicked. More...
void | on_plusBtn_clicked ()
| on_plusBtn_clicked This slot is executed when the plus button is clicked.
void | on_lessBtn_clicked ()
| on_lessBtn_clicked This slot is executed when the less button is clicked.
void | on_rowInput_textEdited ()
| on_rowInput_textEdited This slot is executed when the number of rows is edited.
void | on_colInput_textEdited ()
| on_colInput_textEdited This slot is executed when the number of columns is edited.
void | on_iconPositiveOption_clicked ()
| on_iconPositiveOption_clicked This slot is executed when the positive icon button is clicked.
void | on_iconNegativeOption_clicked ()
| on_iconNegativeOption_clicked This slot is executed when the negative icon button is clicked.
void | on_positionCombo_2_currentIndexChanged (int index)
| on_positionCombo_2_currentIndexChanged This slot is executed when the index of the combo is edited. More...
void | on_rowInput_2_textEdited (const QString &arg1)
| on_rowInput_2_textEdited This slot is executed when the number of card rows are edited. More...
void | on_colInput_2_textEdited (const QString &arg1)
| on_colInput_2_textEdited This slot is executed when the number of card columns are edited. More...
void | on_heightInput_textEdited (const QString &arg1)
| on_heightInput_textEdited This slot is executed when the height is edited. More...
void | on_widthInput_textEdited (const QString &arg1)
| on_widthInput_textEdited This slot is executed when the width is edited. More...
void | on_numberIconsBox_textEdited (const QString &arg1)
| on_numberIconsBox_textEdited This slot is executed when the number of icons are edited. More...
void | on_positionCombo_activated (int index)
| on_positionCombo_activated This slot is executed when the index of combo is edited. More...

## Private Member Functions

void | hideSizeElements ()
| hideSizeElements Hides size elements.
void | showSizeElements ()
| showSizeElements Shows size elements.
void | isFullFill ()
| isFullFill Checks if all of the elements have a value.
void | initElements ()
| initElements Inits the elements.
void | setDefaultIcons ()
| setDefaultIcons Set default icons.
void | setDefaultIcon (QPushButton *button, QString iconPathOn, QString iconPathOff)
| setDefaultIcon Set default icon. More...
void | setValidators ()
| setValidators Sets the validators of the screen inputs.
void | checkNumberOfElements (int elements)
| checkNumberOfElements Checks if the number of elements are correct. More...
void | setToolTips ()
| setToolTips Sets the help of the screen buttons.
void | showCardSizeElements ()
| showCardSizeElements Shows card size elements.
void | hideCardSizeElements ()
| hideCardSizeElements Hides card size elements.

## Private Attributes

Ui::InformationScreen * | ui
| ui

## Additional Inherited Members

Protected Member Functions inherited from View
void | setIntValidators (QLineEdit *input, int min, int max)
| setIntValidators Sets a numeric validator to an input. More...
QString | selectImage ()
| selectImage Selects an system image. More...
int | checkNumberElements (int numberOfElements)
| checkNumberElements Checks if the number of elements are correct More...
QString | getRootHelpPath ()
| getRootHelpPath Returns the root help app path. More...
Protected Attributes inherited from View
QPoint | currentPosition
| currentPosition Current position of the view.
Controller * | controller
| controller Views controller.

## Detailed Description

The InformationScreen class.

## Constructor & Destructor Documentation

## ◆ InformationScreen() [1/2]

InformationScreen::InformationScreen | ( | QWidget * | parent = `0` | ) |

explicit

InformationScreen constructor.

Parameters

  parent | Information screen parent widget.

## ◆ InformationScreen() [2/2]

InformationScreen::InformationScreen | ( | Controller * | controller,
|  | QWidget * | parent = `0`
| ) |  |

InformationScreen constructor.

Parameters

  controller | Information screen controller.
  parent | Information screen parent widget.

## Member Function Documentation

## ◆ changePositionCombo()

void InformationScreen::changePositionCombo | ( | int | pos,
|  | int | row,
|  | int | col
| ) |  |

changePositionCombo Changes the index of the position combo.

Parameters

  pos | Index to change.
  row | Number of rows.
  col | Number of columns.

## ◆ checkNumberOfElements()

void InformationScreen::checkNumberOfElements | ( | int | elements | ) |

private

checkNumberOfElements Checks if the number of elements are correct.

Parameters

  elements | Number of elements.

## ◆ getBackgroundColor()

QColor InformationScreen::getBackgroundColor | ( |  | ) |

getBackgroundColor Returns screen background color.

Returns
  Background color.

## ◆ getBackgroundImage()

QString InformationScreen::getBackgroundImage | ( |  | ) |

getBackgroundImage Returns screen background image.

Returns
  Background image.

## ◆ getCardCols()

int InformationScreen::getCardCols | ( |  | ) |

getCardCols Returns the number of card columns.

Returns
  Card columns.

## ◆ getCardRows()

int InformationScreen::getCardRows | ( |  | ) |

getCardRows Returns the number of card rows.

Returns
  Card rows.

## ◆ getHasIcons()

bool InformationScreen::getHasIcons | ( |  | ) |

getHasIcons Returns if the screen has icons.

Returns
  `True` if the screen has icons, `false` otherwise.

## ◆ getHeightView()

int InformationScreen::getHeightView | ( |  | ) |

getHeightView Returns the screen height.

Returns
  Screen height.

## ◆ getNumberOfCols()

int InformationScreen::getNumberOfCols | ( |  | ) |

getNumberOfCols Returns the number of columns.

Returns
  Number of columns.

## ◆ getNumberOfIcons()

int InformationScreen::getNumberOfIcons | ( |  | ) |

getNumberOfIcons Return the number of icons.

Returns
  Number of icons.

## ◆ getNumberOfRows()

int InformationScreen::getNumberOfRows | ( |  | ) |

getNumberOfRows Returns the number of rows.

Returns
  Number of rows.

## ◆ getWidthView()

int InformationScreen::getWidthView | ( |  | ) |

getWidthView Return the screen width.

Returns
  Screen width.

## ◆ on_colInput_2_textEdited

void InformationScreen::on_colInput_2_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_colInput_2_textEdited This slot is executed when the number of card columns are edited.

Parameters

  arg1 |

## ◆ on_colorBackgroundBtn_clicked

void InformationScreen::on_colorBackgroundBtn_clicked | ( | bool | checked | ) |

privateslot

on_colorBackgroundBtn_clicked This slot is executed when the color button is clicked.

Parameters

  checked | Whether the button is checked.

## ◆ on_heightInput_textEdited

void InformationScreen::on_heightInput_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_heightInput_textEdited This slot is executed when the height is edited.

Parameters

  arg1 |

## ◆ on_imageBackgroundBtn_clicked

void InformationScreen::on_imageBackgroundBtn_clicked | ( | bool | checked | ) |

privateslot

on_imageBackgroundBtn_clicked This slot is executed when the image button is clicked.

Parameters

  checked | Whether the button is checked.

## ◆ on_numberIconsBox_textEdited

void InformationScreen::on_numberIconsBox_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_numberIconsBox_textEdited This slot is executed when the number of icons are edited.

Parameters

  arg1 |

## ◆ on_positionCombo_2_currentIndexChanged

void InformationScreen::on_positionCombo_2_currentIndexChanged | ( | int | index | ) |

privateslot

on_positionCombo_2_currentIndexChanged This slot is executed when the index of the combo is edited.

Parameters

  index |

## ◆ on_positionCombo_activated

void InformationScreen::on_positionCombo_activated | ( | int | index | ) |

privateslot

on_positionCombo_activated This slot is executed when the index of combo is edited.

Parameters

  index |

## ◆ on_rowInput_2_textEdited

void InformationScreen::on_rowInput_2_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_rowInput_2_textEdited This slot is executed when the number of card rows are edited.

Parameters

  arg1 |

## ◆ on_widthInput_textEdited

void InformationScreen::on_widthInput_textEdited | ( | const QString & | arg1 | ) |

privateslot

on_widthInput_textEdited This slot is executed when the width is edited.

Parameters

  arg1 |

## ◆ setDefaultIcon()

void InformationScreen::setDefaultIcon | ( | QPushButton * | button,
|  | QString | iconPathOn,
|  | QString | iconPathOff
| ) |  |

private

setDefaultIcon Set default icon.

Parameters

  button | Button to set the icon.
  iconPathOn | Path of the button on image.
  iconPathOff | Path of the button off image.

## ◆ setEditModel()

void InformationScreen::setEditModel | ( | Interfaz * | interfaz | ) |

setEditModel Specifies the values of the information screen properties.

Parameters

  interfaz | Interface model.

## ◆ showError()

void InformationScreen::showError | ( | QString | error | ) |

virtual

showError Shows error message.

Parameters

  error | Error to show.

Implements View.

## ◆ showInfo()

void InformationScreen::showInfo | ( | QString | info | ) |

virtual

showInfo Shows information message.

Parameters

  info | Message to show.

Implements View.

## ◆ showSuccess()

void InformationScreen::showSuccess | ( | QString | success | ) |

virtual

showSuccess Shows success message.

Parameters

  success | Message to show.

Implements View.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/informationscreen.h
- D:/Documentos/ViewDesignerAssistant/View/informationscreen.cpp